Loading...
Searching...
No Matches
Opm::ThreadedEntityIterator< GridView, codim > Class Template Reference

Provides an STL-iterator like interface to iterate over the enties of a GridView in OpenMP threaded applications. More...

`#include <threadedentityiterator.hh>`

## Public Member Functions

| ThreadedEntityIterator (const GridView &gridView)
| ThreadedEntityIterator (const ThreadedEntityIterator &other)=default
EntityIterator | beginParallel ()
bool | isFinished (const EntityIterator &it) const
void | setFinished ()
EntityIterator | increment ()

## Detailed Description

template<class GridView, int codim>
class Opm::ThreadedEntityIterator< GridView, codim >

Provides an STL-iterator like interface to iterate over the enties of a GridView in OpenMP threaded applications.

ATTENTION: This class must be instantiated in a sequential context!

The documentation for this class was generated from the following file:

- opm/models/parallel/threadedentityiterator.hh